\name{getTimeSeries}
\alias{getTimeSeries}
\title{Extract a list of time series}
\description{
  This function is used to extract a list of time series identified by the 
  parameters provided in input
}
\usage{
  getTimeSeries(client, id, start, end)
}
\arguments{
  \item{client}{the client created by the SdmxClient constructor}
  \item{id}{the identifier of the time series (can contain wildcards, e.g. 'EXR.M.USD.EUR.SP00.A' or 'EXR.M.*.EUR.SP00.A') }
  \item{start}{the start time - optional}
  \item{end}{the end time - optionial}
}
\author{Attilio Mattiocco, Diana Nicoletti}
\examples{

#to instantiate the ECB client

	bce=SdmxClient('ECB')

#to get one timeseries data from SDW

    my_ts=getTimeSeries(bce,'EXR.M.USD.EUR.SP00.A')

#to get all timeseries data from SDW with a key pattern

    my_ts=getTimeSeries(bce,'EXR.M.*.EUR.SP00.A')
}
